#
# spec file for package perl-Devel-Pointer (Version 1.00)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           perl-Devel-Pointer
Version:        1.00
Release:        3.1
License:        CHECK(GPL+ or Artistic)
%define cpan_name Devel-Pointer
Summary:        Fiddle around with pointers
Url:            http://search.cpan.org/dist/Devel-Pointer/
Group:          Development/Libraries/Perl
Source:         http://www.cpan.org/authors/id/S/SI/SIMON/%{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker)
%{perl_requires}

%description
The primary purpose of this is to turn a smashed reference address back
into a value. Once a reference is treated as a numeric value, you can't
dereference it normally; although with this module, you can.

Be careful, though, to avoid dereferencing things that don't want to be
dereferenced.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Thu Apr 14 2011 coolo@opensuse.org
- initial package 1.00
  * created by cpanspec 1.78.04
